(function() {

  function init() {

    var addForm = $('addReviewPage');
    var submitButton = $('addReviewPage-button');
    var savingBox = new XWiki.widgets.Notification("Sende Anfrage...", "inprogress", {inactive: true});
    addForm.observe('submit', function(e) {
      e.stop();
      submitButton.writeAttribute('disabled',true);
      addForm.select('div.LV_validation_message').each(function(elem) {elem.remove()})
      savingBox.show();
      addForm.request({
        parameters: {'outputSyntax': 'plain', 'xpage':'plain' },
        onSuccess: function(response) {
          if (response.status == 0) {
            return;
          }
          savingBox.hide();
          if (!response.responseJSON || response.responseJSON.error) {
            ReviewPages.displayError(response.responseJSON?response.responseJSON.error:'')
          } else if (response.responseJSON.errors) {
            // add errors
            for (var err in response.responseJSON.errors) {
              var field = $('addReviewPage_'+err);
              field.insert({'after': new Element('div', {'class':'LV_validation_message LV_invalid'}).insert(response.responseJSON.errors[err])});
            }
          } else {
            new XWiki.widgets.Notification("Fertig!", "done");
            ReviewPages.reloadLiveTable();
          }
        },
        onFailure: function() {
          savingBox.hide();
          ReviewPages.displayError();
        },
        onComplete: function() {
          submitButton.writeAttribute('disabled', false);
        }
      })
    })
  }

  (XWiki.domIsLoaded && init())
  || document.observe("xwiki:dom:loaded", init);

}())
